import _extends from "@babel/runtime/helpers/esm/extends";
import _typeof from "@babel/runtime/helpers/esm/typeof";
import _toConsumableArray from "@babel/runtime/helpers/esm/toConsumableArray";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import * as React from "react";
import "./index.css";
import { defaultCommands } from '../../commands';
export default function ToolBar(props) {
  var _props$prefixCls = props.prefixCls,
      prefixCls = _props$prefixCls === void 0 ? 'md-editor' : _props$prefixCls,
      className = props.className,
      onClick = props.onClick,
      _props$toolbars = props.toolbars,
      toolbars = _props$toolbars === void 0 ? [] : _props$toolbars,
      editor = props.editor,
      mode = props.mode,
      preview = props.preview,
      container = props.container,
      containerEditor = props.containerEditor,
      _props$editorProps = props.editorProps,
      editorProps = _props$editorProps === void 0 ? {} : _props$editorProps,
      htmlProps = _objectWithoutProperties(props, ["prefixCls", "className", "onClick", "toolbars", "editor", "mode", "preview", "container", "containerEditor", "editorProps"]);

  if (!toolbars || toolbars.length === 0) return null;

  function handleClick(execute) {
    if (execute && editor) {
      execute(editor, editor.getSelection(), editor.getCursor(), {
        preview: preview,
        container: container
      });
    }
  }

  return /*#__PURE__*/React.createElement("div", _extends({
    className: "".concat(prefixCls, "-toolbar ").concat(className || '', " ").concat(mode ? "".concat(prefixCls, "-toolbar-mode") : '')
  }, htmlProps), _toConsumableArray(toolbars).map(function (command, key) {
    var buttonProps = {
      type: 'button'
    };
    var obj = typeof command === 'string' ? defaultCommands[command] : command;
    if (!obj) return;
    buttonProps.children = obj.icon;

    buttonProps.onClick = function () {
      return handleClick(obj.execute);
    };

    if (obj.button && _typeof(obj.button) === 'object') {
      var btn = obj.button;
      Object.keys(btn).forEach(function (key) {
        buttonProps[key] = btn[key];
      });
    } else if (typeof obj.button === 'function') {
      return /*#__PURE__*/React.cloneElement(obj.button(obj, editorProps, {
        preview: preview,
        container: container,
        containerEditor: containerEditor,
        editor: editor
      }), {
        key: key
      });
    }

    return /*#__PURE__*/React.createElement("button", _extends({}, buttonProps, {
      key: key
    }));
  }));
} 
//# sourceMappingURL=index.js.map